curl --request GET \
--url https://api-public.skipcall.app/v1/calls/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-public.skipcall.app/v1/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-public.skipcall.app/v1/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"callType": "CALL_SESSION",
"status": "completed",
"type": "outbound",
"startedAt": "2024-03-20T09:00:00.000Z",
"endedAt": "2024-03-20T09:15:00.000Z",
"createdAt": "2024-03-20T08:55:00.000Z",
"voicemailClipDropped": true,
"voicemailSmsSent": false,
"contact": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"firstName": "John",
"lastName": "Doe",
"isUnknown": false
},
"phoneNumber": {
"value": "+33612345678"
},
"caller": {
"firstName": "Alice",
"lastName": "Martin"
},
"callerPhoneNumber": {
"value": "+33612345678"
},
"phoneNumberId": "123e4567-e89b-12d3-a456-426614174002",
"userProviderSid": "CA123456789",
"adminProviderSid": "CA987654321",
"providerConferenceId": "CF123456789",
"transferred": false,
"updatedAt": "2024-03-20T09:16:00.000Z",
"sequenceRunId": "123e4567-e89b-12d3-a456-426614174003",
"sequenceId": "123e4567-e89b-12d3-a456-426614174010",
"syncedWithCrmDate": "2024-03-20T09:15:00.000Z",
"deletedAt": "2024-03-20T09:15:00.000Z",
"organizationId": "123e4567-e89b-12d3-a456-426614174004",
"organizationMembershipId": "123e4567-e89b-12d3-a456-426614174005",
"managedPhoneNumberId": "123e4567-e89b-12d3-a456-426614174006",
"notes": "Call notes here",
"voicemailSmsStatus": "PENDING",
"voicemailClipId": "<string>",
"voicemailSmsBody": "<string>"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or revoked API key",
"status": 401
}
}{
"error": {
"code": "PLAN_NOT_ELIGIBLE",
"message": "API access requires INTERMÉDIAIRE or EXPERT plan",
"status": 403
}
}Get a call
Returns a single call by ID. Returns 404 if the call is in a workspace outside the API key scope.
Authorizations
Enter your API Key (sk_live_xxx or sk_test_xxx)
Path Parameters
Response
The call
Unique identifier of the call history entry
"123e4567-e89b-12d3-a456-426614174000"
Type of the call history entry (e.g., CALL_SESSION, DIRECT_CALL)
CALL_SESSION, DIRECT_CALL "CALL_SESSION"
Status of the call
"completed"
Type of call (e.g., outbound, inbound)
"outbound"
Start time of the call
"2024-03-20T09:00:00.000Z"
End time of the call
"2024-03-20T09:15:00.000Z"
Date and time when the call history entry was created
"2024-03-20T08:55:00.000Z"
Whether a voicemail clip was dropped on the answering machine (responder outcome). Always false for direct calls.
true
Whether the responder SMS was sent after reaching an answering machine. Always false for direct calls.
false
Contact information associated with the call
Show child attributes
Show child attributes
Phone number information associated with the call
Show child attributes
Show child attributes
Caller information (organization member who made the call)
Show child attributes
Show child attributes
Managed phone number used by the caller
Show child attributes
Show child attributes
Unique identifier of the phone number used for the call
"123e4567-e89b-12d3-a456-426614174002"
Provider SID for the user side of the call
"CA123456789"
Provider SID for the admin side of the call
"CA987654321"
Provider conference ID
"CF123456789"
Indicates if the call was transferred
false
Date and time when the call history entry was last updated
"2024-03-20T09:16:00.000Z"
Unique identifier of the related sequence run
"123e4567-e89b-12d3-a456-426614174003"
Unique identifier of the parent sequence
"123e4567-e89b-12d3-a456-426614174010"
Date and time when the call was synced with CRM
"2024-03-20T09:15:00.000Z"
Date and time when the call history entry was deleted
"2024-03-20T09:15:00.000Z"
Unique identifier of the organization
"123e4567-e89b-12d3-a456-426614174004"
Unique identifier of the organization membership
"123e4567-e89b-12d3-a456-426614174005"
Unique identifier of the managed phone number
"123e4567-e89b-12d3-a456-426614174006"
Notes associated with the call
"Call notes here"
Granular responder-SMS lifecycle (PENDING/SENT/DELIVERED/FAILED); null if no responder SMS was queued (always null for direct calls)
PENDING, SENT, DELIVERED, FAILED ID of the voicemail clip dropped on this call (null if the clip was deleted).
Body of the responder SMS sent on this call (null if no SMS was sent).